using PokemonSleep.Web.Models;

namespace PokemonSleep.Web.Service.IService
{
    public interface IPokemonService
    {

        Task<ResponseDto?> GetAllPokemonAsync();
        Task<ResponseDto?> GetPokemonByIdAsync(int id);
        Task<ResponseDto?> CreatePokemonAsync(PokemonDto pokemonDto);
        Task<ResponseDto?> DeletePokemonAsync(int id);

    }
}
